using System;


namespace Egipat
{
    class Program
    {
        static void Main(string[] args)
        {
            double iznos;
            int brojac = 0;

            Console.Write("");
            while (!(double.TryParse(Console.ReadLine(), out iznos))) ;

            while (iznos > 0)
            {
                iznos -= NajvecaNovcanica(iznos);
                brojac++;
            }
            Console.WriteLine(brojac);
        }

        static double NajvecaNovcanica(double iznos)
        {
            double apoen = 1;
            double vrednost = 0;
            int[] baza = new int[3] { 1, 2, 5 };

            for (int k = 0; apoen <= iznos; k++)
            {
                foreach (int d in baza)
                {
                    apoen = d * Math.Pow(10, k);
                    if (apoen <= iznos)
                    {
                        vrednost = apoen;
                    }
                }
            }
            return vrednost;
        }
    }
}